petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSubcommSetTypeGeneral

Set a PetscSubcomm from user's specifications

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetTypeGeneral(PetscSubcomm psubcomm,PetscMPIInt color,PetscMPIInt subrank)

Collective on MPI_Comm Many br

### Input Parameter

| psubcomm | - PetscSubcomm context Many br
| color | - control of subset assignment (nonnegative integer). Processes with the same color are in the same subcommunicator. Many br
| subrank | - rank in the subcommunicator Many br

Many br

### Keywords

communicator, create

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetNumber(),PetscSubcommSetType()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages